#ifndef PLOT_H
#define PLOT_H

#include <qwt_plot.h>
#include <qwt_plot_curve.h>
#include <qwt_plot_marker.h>
#include <qwt_symbol.h>
#include <QWidget>
#include <vector>

class Plot : public QwtPlot
{
    Q_OBJECT

public:
    explicit Plot(QWidget *parent = NULL, const QString& title = "", const std::vector<int>& col = std::vector<int>(), const QColor& _color = "");
    ~Plot();
    void Clean();
    void setData(const std::vector<int>& col);
    std::vector<int> GetPoints();

protected:
   // virtual void resizeEvent( QResizeEvent * );
    //virtual void mousePressEvent( QMouseEvent * );
    virtual void mouseMoveEvent( QMouseEvent * );

private:
    QwtPlotCurve *cSin;
    std::vector<int> point;
    QPointF lastPoint;
    QColor color;
    std::vector<QwtPlotMarker*> m;
    QwtSymbol *sym;
    double x[256], y[256];
};

#endif // PLOT_H
